<?php

namespace App\Http\Controllers\Backend\Server\Member;

use App\Http\Controllers\Controller;
use App\Http\Requests\Backend\Server\System\UserRequest;
use App\Http\Services\Backend\Server\Member\ConfigService;
use App\Http\Services\Backend\Server\Member\UserService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class ConfigController extends Controller
{
    protected ConfigService $configService;

    public function __construct(ConfigService $configService)
    {
        $this->configService = $configService;
    }

    public function show(): JsonResponse
    {
        // 处理显示单个用户的逻辑
        $result = $this->configService->getConfig();
        return self::success($result);
    }

    public function update(Request $request): JsonResponse
    {
        // 更新用户逻辑
        $params = $request->all();
        $this->configService->updateConfig($params);
        return self::success(true);
    }
}
