<?php

namespace App\Http\Controllers\Backend\Server\Member;

use App\Http\Controllers\Controller;
use App\Http\Requests\Backend\Server\System\UserRequest;
use App\Http\Services\Backend\Server\Member\UserService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class UserController extends Controller
{
    protected UserService $userService;

    public function __construct(UserService $userService)
    {
        $this->userService = $userService;
    }

    public function index(Request $request): JsonResponse
    {
        // 处理首页逻辑
        $params = $request->all();
        $result = $this->userService->getUserList($params);
        return self::success($result);
    }

    public function show(int $id)
    {
        // 处理显示单个用户的逻辑
        $result = $this->userService->getUser($id);
        return self::success($result);
    }

    public function create()
    {
        // 显示创建用户的表单
    }

    public function store(UserRequest $request)
    {
        return '创建会员';
        // 存储新创建的用户逻辑

//        event(new Registered($user));
//
//        Auth::login($user);
//
//        return response()->noContent();
    }

    public function edit($id)
    {
        // 显示编辑用户的表单
    }

    public function update(Request $request, $id)
    {
        // 更新用户逻辑
    }

    public function destroy($id)
    {
        // 删除用户逻辑
    }
}
