<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/8/26 11:48
 */

namespace App\Http\Controllers\Backend\Server\Service;

use App\Http\Controllers\Controller;
use App\Http\Requests\Request;
use App\Http\Services\Backend\Server\Service\CategoryService;
use App\Http\Services\Backend\Server\System\DeptService;
use App\Http\Services\Backend\Server\System\DictDataService;
use App\Http\Services\Backend\Server\System\DictTypeService;
use App\Models\System\DictData;
use App\Models\System\DictType;
use Illuminate\Http\JsonResponse;

class CategoryController extends Controller
{
    private CategoryService $categoryService;

    public function __construct(CategoryService $categoryService)
    {
        $this->categoryService = $categoryService;
    }

    public function index(Request $request): JsonResponse
    {
        $params = $request->all();
        $res = $this->categoryService->getCategoryList($params);
        return self::success($res);
    }

    public function store(Request $request): JsonResponse
    {
        $params = $request->all();
        $res = $this->categoryService->createCategory($params);
        return self::success($res);
    }

    public function show(int $id): JsonResponse
    {
        $res = $this->categoryService->getCategory($id);
        return self::success($res);
    }

    public function update(Request $request, int $id): JsonResponse
    {
        $data = $request->all();
        $this->categoryService->updateCategory($data, $id);
        return self::success(true);
    }

    public function destroy(int $id): JsonResponse
    {
        $res = $this->categoryService->deleteCategory($id);
        return self::success($res);

//        $res = $this->dictDataService->deleteDictData($id);
//        return self::success($res);
    }

    public function simple(): JsonResponse
    {
        $result = $this->categoryService->getCategorySimpleList();
        return self::success($result);
    }
}
