<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/8/26 11:48
 */

namespace App\Http\Controllers\Backend\Server\Service;

use App\Http\Controllers\Controller;
use App\Http\Requests\Request;
use App\Http\Services\Backend\Server\Service\ProjectService;
use Illuminate\Http\JsonResponse;

class ProjectController extends Controller
{
    private ProjectService $projectService;

    public function __construct(ProjectService $projectService)
    {
        $this->projectService = $projectService;
    }

    public function index(Request $request): JsonResponse
    {
        $params = $request->all();
        $res = $this->projectService->getProjectList($params);
        return self::success($res);
    }

    public function store(Request $request): JsonResponse
    {
        $params = $request->all();
        $res = $this->projectService->createProject($params);
        return self::success($res);
    }

    public function show(int $id): JsonResponse
    {
        $res = $this->projectService->getProject($id);
        return self::success($res);
    }

    public function update(Request $request, int $id): JsonResponse
    {
        $data = $request->all();
        $this->projectService->updateProject($data, $id);
        return self::success(true);
    }

    public function destroy(int $id): JsonResponse
    {
        $res = $this->projectService->deleteProject($id);
        return self::success($res);
    }
}
