<?php

namespace App\Http\Controllers\Frontend\Client\Service;

use App\Http\Controllers\Controller;
use App\Http\Services\Backend\Server\Member\UserService;
use App\Http\Services\Frontend\Client\Service\CategoryService;
use App\Http\Services\Frontend\Client\Service\ProjectService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    protected CategoryService $categoryService;

    public function __construct(CategoryService $categoryService)
    {
        $this->categoryService = $categoryService;
    }

    public function index(): JsonResponse
    {
        $result = $this->categoryService->getSimpleCategories();
        return self::success($result);
    }
}
