<?php

namespace App\Http\Controllers\Frontend\Client\Service;

use App\Http\Controllers\Controller;
use App\Http\Services\Backend\Server\Member\UserService;
use App\Http\Services\Frontend\Client\Service\ProjectService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class ProjectController extends Controller
{
    protected ProjectService $projectService;

    public function __construct(ProjectService $projectService)
    {
        $this->projectService = $projectService;
    }

    public function index(Request $request): JsonResponse
    {
        // 处理首页逻辑
        $params = $request->all();
        $result = $this->projectService->getProjectPage($params);
        return self::success($result);
    }

    public function show(Request $request, int $id)
    {
        $params = $request->all();
        $result = $this->projectService->getProject($params, $id);
        return self::success($result);
    }
}
