<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/10/18 10:11
 */

namespace App\Http\Controllers\Frontend\Client\Wechat;

use App\Http\Controllers\Controller;
use App\Http\Requests\Request;
use App\Http\Services\Frontend\Client\Wechat\PaymentService;
use Illuminate\Http\JsonResponse;
use Symfony\Contracts\HttpClient\Exception\TransportExceptionInterface;

class PaymentController extends Controller
{
    protected PaymentService $service;

    public function __construct(PaymentService $service)
    {
        $this->service = $service;
    }

    /**
     * @throws TransportExceptionInterface
     */
    public function payment(Request $request): JsonResponse
    {
        $params = $request->all();
        return self::success($this->service->payment($params));
    }

    /**
     * @throws \Throwable
     */
    public function notify(): JsonResponse
    {
        return $this->service->notify();
    }
}
