<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/9/13 17:20
 */

namespace App\Http\Controllers\Frontend\Server\Coach;

use App\Exceptions\ApiException;
use App\Http\Controllers\Controller;
use App\Http\Requests\Request;
use App\Http\Services\Frontend\Server\Coach\UserService;
use Illuminate\Http\JsonResponse;

class UserController extends Controller
{
    protected UserService $userService;

    public function __construct(UserService $userService)
    {
        $this->userService = $userService;
    }
    public function show(): JsonResponse
    {
        $res = $this->userService->getUser();
        return self::success($res);
    }

    /**
     * @throws ApiException
     */
    public function update(Request $request): JsonResponse
    {
        $data = $request->all();
        $this->userService->updateUser($data);
        return self::success(true);
    }

    public function reapply()
    {

    }


}
