<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/9/20 11:26
 */

namespace App\Http\Controllers\Frontend\Server\Service;

use App\Http\Controllers\Controller;
use App\Http\Requests\Request;
use App\Http\Services\Frontend\Server\Service\ProjectService;
use Illuminate\Http\JsonResponse;

class ProjectController extends Controller
{
    protected ProjectService $projectService;

    public function __construct(ProjectService $projectService)
    {
        $this->projectService = $projectService;
    }
    public function index(Request $request): JsonResponse
    {
        $params = $request->all();
        $res = $this->projectService->getProjectPage($params);
        return self::success($res);
    }

    public function update(Request $request): JsonResponse
    {
        $params = $request->all();
        $this->projectService->updateProject($params);
        return self::success(true);
    }
}
