<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/3/20 14:54
 */

namespace App\Http\Requests\Backend\Server\System;

use App\Http\Requests\Request;
use Illuminate\Support\Facades\Route;
use Illuminate\Validation\Rule;

class RoleRequest extends Request
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, array|string>
     */
    public function rules(): array
    {
        $rules = [
            'name' => ['bail', 'string', 'max:255'],
            'status' => ['bail', 'integer', Rule::in([0, 1])],
            'createTime.0' => ['bail', 'date_format:Y-m-d H:i:s', 'before:createTime.1'],
            'createTime.1' => ['bail', 'date_format:Y-m-d H:i:s'],
            'code' => ['bail', 'string', 'max:255']
        ];
        $actionName = last(explode('@', Route::current()->getActionName()));
        if ($actionName === 'index') {
            $rules['pageNo'] = ['bail', 'integer'];
            $rules['pageSize'] = ['bail', 'integer'];
        }
        return $rules;
    }

    public function messages(): array
    {
        return [
            '*' => '参数错误'
        ];
    }
}
