<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/3/20 14:54
 */

namespace App\Http\Requests\Backend\Server\System;

use App\Http\Requests\Request;
use App\Models\System\User;
use Illuminate\Validation\Rules;

class UserRequest extends Request
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, array|string>
     */
    public function rules(): array
    {
        return [
            'username' => ['required', 'string', 'max:255', 'unique:' . User::class],
            'password' => ['required', 'string', 'min:8', Rules\Password::defaults()],
//            'email' => ['string', 'lowercase', 'email', 'max:255', 'unique:'.User::class],
//            'password' => ['required', 'confirmed', Rules\Password::defaults()],
//            unique:table,column,except,idColumn
//            Rule::unique('facilities', 'name')->ignoreModel(Facility::find($this->request->get('id')))
        ];
    }

    public function messages(): array
    {
        return [
            'username.required' => '请输入用户账号！',
            'username.unique' => '用户账号已存在！',
            'password.required' => '请输入用户密码！',
            'password.confirmed' => '两次输入密码不一致！',
            'password.min' => '密码最少8位字符'
        ];
    }
}
