<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/3/20 14:54
 */

namespace App\Http\Requests\Frontend\Client\Member;

use App\Http\Requests\Request;
use Illuminate\Support\Facades\Route;
use Illuminate\Validation\Rule;

class AddressRequest extends Request
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, array|string>
     */
    public function rules(): array
    {
        $rules = [
            'userName' => ['bail', 'string'],
            'mobile' => ['bail', 'required', 'string'],
            'address' => ['bail', 'required', 'string'],
            'addressInfo' => ['bail', 'required', 'string'],
            'lat' => ['bail', 'required', 'string'],
            'lng' => ['bail', 'required', 'string'],
            'cityCode' => ['bail', 'required', 'string'],
            'status' => ['bail', 'required', 'integer', Rule::in([0, 1])],
            'sex' => ['bail', 'required', 'integer', Rule::in([0, 1])],
            'adcode' => ['bail', 'string'],
        ];

        $actionName = last(explode('@', Route::current()->getActionName()));

        return $rules;
    }

    public function messages(): array
    {
        return [
            '*' => '参数或类型错误！'
        ];
    }
}
