<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/9/4 12:04
 */

namespace App\Http\Services\Backend\Server\Member;

use App\Models\Member\User;

class UserService
{
    protected array $selectColumn = ['id', 'name', 'nickname', 'mark', 'mobile', 'sex', 'avatar', 'point', 'status', 'login_ip as loginIp','register_ip as registerIp'];
    protected array $appendColumn = ['login_date as loginDate', 'created_at as createTime'];

    public function getUserList($params): array
    {
        $user = User::query();
        isset($params['nickname']) && filled($params['nickname']) && $user->whereLike('nickname', "%{$params['nickname']}%");
        isset($params['mobile']) && filled($params['mobile']) && $user->whereLike('mobile', "%{$params['mobile']}%");
//        isset($params['status']) && filled($params['status']) && $user->where('status', $params['status']);
        !empty($params['loginDate']) && $user->whereBetween('login_date', $params['loginDate']);
        !empty($params['createTime']) && $user->whereBetween('created_at', $params['createTime']);
        $rolePage = $user->select([...$this->selectColumn, ...$this->appendColumn])->paginate($params['pageSize'], ['*'], 'page', $params['pageNo']);
        return ['list' => $rolePage->items(), 'total' => $rolePage->total()];
    }

    public function getUser($id)
    {
        return User::query()->select($this->selectColumn)->find($id);
    }
}
