<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/9/26 12:11
 */

namespace App\Http\Services\Frontend\Client\Auth;

use App\Exceptions\ApiException;
use App\Http\Services\Frontend\Client\Common\AuthService;
use App\Http\Services\Frontend\Client\Common\SmsService;

use App\Http\Services\Service;
use App\Models\Member\User;

class AuthenticatedService extends Service
{

    /**
     * @throws ApiException
     */
    public function login(array $data)
    {
        // 手机号
        $mobile = $data['mobile'];
        // 手机验证码
        $code = $data['code'];

        // 判断验证码
        $verifyCodeResult = (new SmsService())->verifyCode($mobile, $code);
        !$verifyCodeResult && self::error('验证码错误！', 400);

        // 判断手机号
        $where = ['mobile' => $data['mobile']];
        $userQuery = User::query();
        $user = $userQuery->where($where)->first();
        !$user && self::error('账户不存在！', 400);
        $token = (new AuthService())->store($user);
        return ['token' => $token];
    }

    /**
     * @throws ApiException
     */
    public function send($data): void
    {
        // 手机号
        $mobile = $data['mobile'];
        $category = $data['category'] ?? 1;
        $sms = new SmsService();
        $sms->send($mobile, $category);
    }
}
