<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/9/10 16:07
 */

namespace App\Http\Services\Frontend\Client\Service;

use App\Enums\Common\Status;
use App\Http\Services\Service;
use App\Models\Service\Category;
use App\Models\Service\Project;
use Illuminate\Support\Facades\DB;

class ProjectService extends Service
{
    protected $select_column = ['id','title','sub_title as subTitle','cover','price','init_price as InitPrice','total_sale as totalSale','time_long as timeLong','introduce','explain','notice','is_store as isStore','is_door as isDoor'];
    public function getProjectPage($params): array
    {
        $project = Project::query();
        $category_id = $params['categoryId'] ?? 1;
        $project_ids = DB::table('service_project_has_category')->where('category_id', $category_id)->pluck('project_id');
        // !$project_ids->isEmpty() &&
        $project->whereIn('id', $project_ids);
        $where['status'] = Status::ENABLE;
        $projectPage = $project->where($where)->select($this->select_column)->paginate();
        return ['list' => $projectPage->items(), 'total' => $projectPage->total()];
    }

    public function getProject(array $params, int $id)
    {
        return Project::query()->select($this->select_column)->find($id);
    }
}
