<?php

namespace App\Models\Member;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
use Spatie\Permission\Traits\HasRoles;

class Config extends Model
{
    use HasFactory;

    protected $table = 'member_config';

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [];

    protected $guarded = [];

    protected $casts = [
        'pointTradeDeductEnable' => 'bool'
    ];

    public function setPointTradeDeductEnableAttribute($value)
    {
        $this->attributes['point_trade_deduct_enable'] = $value ? 1 : 0;
    }
}
