<?php

namespace App\Models\Service;

use App\Models\Coach\User;
use DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderGrab extends Model
{
    use HasFactory;

    protected $table = 'service_order_grab';

    protected $guarded = [];

    protected $appends = [];

    protected $casts = [
        'created_at' => 'datetime',
    ];

    protected function serializeDate(DateTimeInterface $date): string
    {
        return $date->format($this->dateFormat ?: 'Y-m-d H:i:s');
    }

    public function coach(): \Illuminate\Database\Eloquent\Relations\HasOne
    {
        return $this->hasOne(User::class, 'id','coach_id');
    }
}
