<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('service_category', function (Blueprint $table) {
            $table->comment('服务分类表');
            $table->id();
            $table->string('title')->comment('分类名称');
            $table->string('cover')->nullable()->comment('分类封面');
            $table->string('sort')->default(0)->comment('分类排序');
            $table->tinyInteger('status')->default(0)->comment('账户状态 (0正常 1停用)');
            $table->string('creator', 64)->nullable()->comment('创建者');
            $table->string('updater', 64)->nullable()->comment('更新者');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('service_category');
    }
};
