<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('coach_verify', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable()->comment('技师姓名');
            $table->bigInteger('user_id');
            $table->bigInteger('coach_id');
            $table->string('mobile')->nullable()->comment('手机号');
            $table->string('avatar')->nullable()->comment('头像');
            $table->tinyInteger('status')->default(0)->comment('状态');
            $table->tinyInteger('sex')->default(0)->nullable()->comment('用户性别');
            $table->bigInteger('work_time')->nullable()->comment('从业年份');
            $table->string('city_id')->nullable()->comment('城市');
            $table->string('lng')->nullable();
            $table->string('lat')->nullable();
            $table->string('address')->nullable()->comment('详细地址');
            $table->string('brief')->nullable()->comment('简介');
            $table->text('license')->nullable()->comment('执照');
            $table->string('work_img')->nullable()->comment('工作照');
            $table->string('self_img')->nullable()->comment('个人照');
            $table->integer('birthday')->nullable()->comment('出生日期');
            $table->text('verify_text')->nullable()->comment('审核意见');
            $table->timestamp('verify_time')->nullable()->comment('审核时间');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('coach_verify');
    }
};
