<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('member_address', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('user_id')->comment('用户ID');
            $table->string('user_name')->nullable()->comment('用户姓名');
            $table->string('mobile')->nullable()->comment('手机号');
            $table->tinyInteger('sex')->default(1)->nullable()->comment('性别');
            $table->string('province')->nullable()->comment('省');
            $table->string('city')->nullable()->comment('市');
            $table->string('district')->nullable()->comment('区');
            $table->string('address')->nullable()->comment('地址');
            $table->string('address_info')->nullable()->comment('地址详情');
            $table->string('city_code')->nullable();
            $table->string('adcode')->nullable();
            $table->string('lng')->nullable()->comment('经度');
            $table->string('lat')->nullable()->comment('纬度');
            $table->tinyInteger('status')->default(0)->comment('状态 1:使用 ');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('system_config');
    }
};
