<?php

namespace Database\Seeders;

use App\Models\System\Menu;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SystemMenusTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // 目录
        DB::table('system_menus')->insert(['id' => 1, 'name' => '系统管理', 'type' => 1, 'path' => '/system', 'icon' => 'ep:tools', 'sort' => 99, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 2, 'name' => '会员中心', 'type' => 1, 'path' => '/member', 'icon' => 'ep:bicycle', 'sort' => 10, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 3, 'name' => '技工中心', 'type' => 1, 'path' => '/coach', 'icon' => 'fa:automobile', 'sort' => 11, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 4, 'name' => '服务中心', 'type' => 1, 'path' => '/service', 'icon' => 'fa:american-sign-language-interpreting', 'sort' => 12, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);

        // 菜单
        // 系统管理
        DB::table('system_menus')->insert(['id' => 100, 'name' => '用户管理', 'type' => 2, 'parent_id' => 1, 'path' => 'user', 'icon' => 'ep:avatar', 'component' => 'system/user/index', 'component_name' => 'SystemUser', 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 110, 'name' => '角色管理', 'type' => 2, 'parent_id' => 1, 'path' => 'role', 'icon' => 'ep:user', 'component' => 'system/role/index', 'component_name' => 'SystemRole', 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 120, 'name' => '菜单管理', 'type' => 2, 'parent_id' => 1, 'path' => 'menu', 'icon' => 'ep:menu', 'component' => 'system/menu/index', 'component_name' => 'SystemMenu', 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 130, 'name' => '部门管理', 'type' => 2, 'parent_id' => 1, 'path' => 'menu', 'icon' => 'ep:menu', 'component' => 'system/menu/index', 'component_name' => 'SystemMenu', 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 140, 'name' => '岗位管理', 'type' => 2, 'parent_id' => 1, 'path' => 'menu', 'icon' => 'ep:menu', 'component' => 'system/menu/index', 'component_name' => 'SystemMenu', 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 150, 'name' => '字典管理', 'type' => 2, 'parent_id' => 1, 'path' => 'dict', 'icon' => 'ep:collection', 'component' => 'system/dict/index', 'component_name' => 'SystemDictType', 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        // 会员中心
        DB::table('system_menus')->insert(['id' => 200, 'name' => '会员管理', 'type' => 2, 'parent_id' => 2, 'path' => 'user', 'icon' => 'ep:avatar', 'component' => 'member/user/index', 'component_name' => 'MemberUser', 'sort' => 0, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 210, 'name' => '会员配置', 'type' => 2, 'parent_id' => 2, 'path' => 'config', 'icon' => 'fa:archive', 'component' => 'member/config/index', 'component_name' => 'MemberConfig', 'sort' => 10, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        // 技工中心
        DB::table('system_menus')->insert(['id' => 300, 'name' => '技工管理', 'type' => 2, 'parent_id' => 3, 'path' => 'user', 'icon' => 'ep:avatar', 'component' => 'coach/user/index', 'component_name' => 'CoachUser', 'sort' => 0, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 310, 'name' => '技工配置', 'type' => 2, 'parent_id' => 3, 'path' => 'config', 'icon' => 'ep:setting', 'component' => 'member/config/index', 'component_name' => 'MemberConfig', 'sort' => 10, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        // 服务中心
        DB::table('system_menus')->insert(['id' => 400, 'name' => '服务管理', 'type' => 2, 'parent_id' => 4, 'path' => 'project', 'icon' => 'ep:bell-filled', 'component' => 'service/project/index', 'component_name' => 'ServiceProject', 'sort' => 0, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 410, 'name' => '服务分类', 'type' => 2, 'parent_id' => 4, 'path' => 'category', 'icon' => 'ep:box', 'component' => 'service/category/index', 'component_name' => 'ServiceCategory', 'sort' => 1, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 420, 'name' => '服务审核', 'type' => 2, 'parent_id' => 4, 'path' => 'config', 'icon' => 'fa:500px', 'component' => 'member/config/index', 'component_name' => 'MemberConfig', 'sort' => 2, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 490, 'name' => '服务配置', 'type' => 2, 'parent_id' => 4, 'path' => 'config', 'icon' => 'fa:archive', 'component' => 'member/config/index', 'component_name' => 'MemberConfig', 'sort' => 9, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);

        // 按钮
        // 系统管理 - 用户管理
        DB::table('system_menus')->insert(['id' => 101, 'name' => '用户查询', 'type' => 3, 'permission' => 'system:user:query', 'parent_id' => 100, 'sort' => 1, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 102, 'name' => '用户新增', 'type' => 3, 'permission' => 'system:user:create', 'parent_id' => 100, 'sort' => 2, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 103, 'name' => '用户修改', 'type' => 3, 'permission' => 'system:user:update', 'parent_id' => 100, 'sort' => 3, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 104, 'name' => '用户删除', 'type' => 3, 'permission' => 'system:user:delete', 'parent_id' => 100, 'sort' => 4, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 105, 'name' => '用户导出', 'type' => 3, 'permission' => 'system:user:export', 'parent_id' => 100, 'sort' => 5, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 106, 'name' => '用户导入', 'type' => 3, 'permission' => 'system:user:import', 'parent_id' => 100, 'sort' => 6, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 107, 'name' => '重置密码', 'type' => 3, 'permission' => 'system:user:update-password', 'parent_id' => 100, 'sort' => 7, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);

        // 系统管理 - 角色管理
        DB::table('system_menus')->insert(['id' => 111, 'name' => '角色查询', 'type' => 3, 'permission' => 'system:role:query', 'parent_id' => 110, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 112, 'name' => '角色新增', 'type' => 3, 'permission' => 'system:role:create', 'parent_id' => 110, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 113, 'name' => '角色修改', 'type' => 3, 'permission' => 'system:role:update', 'parent_id' => 110, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 114, 'name' => '角色删除', 'type' => 3, 'permission' => 'system:role:delete', 'parent_id' => 110, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 115, 'name' => '角色导出', 'type' => 3, 'permission' => 'system:role:export', 'parent_id' => 110, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 116, 'name' => '设置角色菜单权限', 'type' => 3, 'permission' => 'system:permission:assign-role-menu', 'parent_id' => 110, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 117, 'name' => '设置角色数据权限', 'type' => 3, 'permission' => 'system:permission:assign-role-data-scope', 'parent_id' => 110, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 118, 'name' => '设置用户角色', 'type' => 3, 'permission' => 'system:permission:assign-user-role', 'parent_id' => 110, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);

        // 系统管理 - 菜单管理
        DB::table('system_menus')->insert(['id' => 121, 'name' => '菜单查询', 'type' => 3, 'permission' => 'system:menu:query', 'parent_id' => 120, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 122, 'name' => '菜单新增', 'type' => 3, 'permission' => 'system:menu:create', 'parent_id' => 120, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 123, 'name' => '菜单修改', 'type' => 3, 'permission' => 'system:menu:update', 'parent_id' => 120, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 124, 'name' => '菜单删除', 'type' => 3, 'permission' => 'system:menu:delete', 'parent_id' => 120, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        // 系统管理 - 字典管理
        DB::table('system_menus')->insert(['id' => 151, 'name' => '字典查询', 'type' => 3, 'permission' => 'system:dict:query', 'parent_id' => 150, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 152, 'name' => '字典新增', 'type' => 3, 'permission' => 'system:dict:create', 'parent_id' => 150, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 153, 'name' => '字典修改', 'type' => 3, 'permission' => 'system:dict:update', 'parent_id' => 150, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 154, 'name' => '字典删除', 'type' => 3, 'permission' => 'system:dict:delete', 'parent_id' => 150, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 155, 'name' => '字典导出', 'type' => 3, 'permission' => 'system:dict:export', 'parent_id' => 150, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);

        // 会员中心 - 会员管理
        DB::table('system_menus')->insert(['id' => 201, 'name' => '会员用户查询', 'type' => 3, 'permission' => 'member:user:query', 'parent_id' => 200, 'sort' => 1, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 202, 'name' => '会员用户更新', 'type' => 3, 'permission' => 'member:user:update', 'parent_id' => 200, 'sort' => 3, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 203, 'name' => '用户等级修改', 'type' => 3, 'permission' => 'member:user:update-level', 'parent_id' => 200, 'sort' => 5, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 204, 'name' => '用户积分修改', 'type' => 3, 'permission' => 'member:user:update-point', 'parent_id' => 200, 'sort' => 6, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 205, 'name' => '用户余额修改', 'type' => 3, 'permission' => 'member:user:update-balance', 'parent_id' => 200, 'sort' => 7, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        // 会员中心 - 会员配置
        DB::table('system_menus')->insert(['id' => 211, 'name' => '会员配置查询', 'type' => 3, 'permission' => 'member:config:query', 'parent_id' => 210, 'sort' => 1, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('system_menus')->insert(['id' => 212, 'name' => '会员配置保存', 'type' => 3, 'permission' => 'member:config:save', 'parent_id' => 210, 'sort' => 1, 'creator' => '系统', 'created_at' => now(), 'updated_at' => now()]);

        // 技师中心 - 技师管理

    }
}
