<?php

namespace Database\Seeders;

use App\Models\System\Menu;
use App\Models\System\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SystemModelHasRolesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $tableNames = config('permission.table_names');

        // 用户所属角色
        DB::table($tableNames['model_has_roles'])->insert(['role_id' => 1, 'model_type' => User::class, 'model_id' => 1]);

        // 菜单所属角色
        // 系统管理
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 1, 'role_id' => 1, 'model_type' => Menu::class]);
        // 用户管理
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 100, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 101, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 102, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 103, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 104, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 105, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 106, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 107, 'role_id' => 1, 'model_type' => Menu::class]);

        // 角色管理
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 110, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 111, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 112, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 113, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 114, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 115, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 116, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 117, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 118, 'role_id' => 1, 'model_type' => Menu::class]);
        // 菜单管理
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 120, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 121, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 122, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 123, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 124, 'role_id' => 1, 'model_type' => Menu::class]);
        // 字典管理
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 150, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 151, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 152, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 153, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 154, 'role_id' => 1, 'model_type' => Menu::class]);
        DB::table($tableNames['model_has_roles'])->insert(['model_id' => 155, 'role_id' => 1, 'model_type' => Menu::class]);
    }
}
