<?php

namespace Database\Seeders;

use App\Models\System\Menu;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SystemPermissionsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $tableNames = config('permission.table_names');

        // 用户管理
        DB::table($tableNames['permissions'])->insert(['id' => 101, 'name' => 'system:user:query']);
        DB::table($tableNames['permissions'])->insert(['id' => 102, 'name' => 'system:user:create']);
        DB::table($tableNames['permissions'])->insert(['id' => 103, 'name' => 'system:user:update']);
        DB::table($tableNames['permissions'])->insert(['id' => 104, 'name' => 'system:user:delete']);
        DB::table($tableNames['permissions'])->insert(['id' => 105, 'name' => 'system:user:export']);
        DB::table($tableNames['permissions'])->insert(['id' => 106, 'name' => 'system:user:import']);
        DB::table($tableNames['permissions'])->insert(['id' => 107, 'name' => 'system:user:update-password']);

        // 角色管理
        DB::table($tableNames['permissions'])->insert(['id' => 111, 'name' => 'system:role:query']);
        DB::table($tableNames['permissions'])->insert(['id' => 112, 'name' => 'system:role:create']);
        DB::table($tableNames['permissions'])->insert(['id' => 113, 'name' => 'system:role:update']);
        DB::table($tableNames['permissions'])->insert(['id' => 114, 'name' => 'system:role:delete']);
        DB::table($tableNames['permissions'])->insert(['id' => 115, 'name' => 'system:role:export']);
        DB::table($tableNames['permissions'])->insert(['id' => 116, 'name' => 'system:permission:assign-role-menu']);
        DB::table($tableNames['permissions'])->insert(['id' => 117, 'name' => 'system:permission:assign-role-data-scope']);
        DB::table($tableNames['permissions'])->insert(['id' => 118, 'name' => 'system:permission:assign-user-role']);

        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 111, 'model_type' => Menu::class, 'model_id' => 111]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 112, 'model_type' => Menu::class, 'model_id' => 112]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 113, 'model_type' => Menu::class, 'model_id' => 113]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 114, 'model_type' => Menu::class, 'model_id' => 114]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 115, 'model_type' => Menu::class, 'model_id' => 115]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 116, 'model_type' => Menu::class, 'model_id' => 116]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 117, 'model_type' => Menu::class, 'model_id' => 117]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 118, 'model_type' => Menu::class, 'model_id' => 118]);

        // 菜单管理
        DB::table($tableNames['permissions'])->insert(['id' => 121, 'name' => 'system:menu:query']);
        DB::table($tableNames['permissions'])->insert(['id' => 122, 'name' => 'system:menu:create']);
        DB::table($tableNames['permissions'])->insert(['id' => 123, 'name' => 'system:menu:update']);
        DB::table($tableNames['permissions'])->insert(['id' => 124, 'name' => 'system:menu:delete']);

        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 121, 'model_type' => Menu::class, 'model_id' => 121]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 122, 'model_type' => Menu::class, 'model_id' => 122]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 123, 'model_type' => Menu::class, 'model_id' => 123]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 124, 'model_type' => Menu::class, 'model_id' => 124]);

        // 字典管理
        DB::table($tableNames['permissions'])->insert(['id' => 151, 'name' => 'system:dict:query']);
        DB::table($tableNames['permissions'])->insert(['id' => 152, 'name' => 'system:dict:create']);
        DB::table($tableNames['permissions'])->insert(['id' => 153, 'name' => 'system:dict:update']);
        DB::table($tableNames['permissions'])->insert(['id' => 154, 'name' => 'system:dict:delete']);
        DB::table($tableNames['permissions'])->insert(['id' => 155, 'name' => 'system:dict:export']);

        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 151, 'model_type' => Menu::class, 'model_id' => 151]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 152, 'model_type' => Menu::class, 'model_id' => 152]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 153, 'model_type' => Menu::class, 'model_id' => 153]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 154, 'model_type' => Menu::class, 'model_id' => 154]);
        DB::table($tableNames['model_has_permissions'])->insert(['permission_id' => 155, 'model_type' => Menu::class, 'model_id' => 155]);

        // 会员中心
        // 会员管理
        DB::table($tableNames['permissions'])->insert(['id' => 201, 'name' => 'member:user:query']);
        DB::table($tableNames['permissions'])->insert(['id' => 202, 'name' => 'member:user:update']);
        DB::table($tableNames['permissions'])->insert(['id' => 203, 'name' => 'member:user:update-level']);
        DB::table($tableNames['permissions'])->insert(['id' => 204, 'name' => 'member:user:update-point']);
        DB::table($tableNames['permissions'])->insert(['id' => 205, 'name' => 'member:user:update-balance']);

        // 会员配置
        DB::table($tableNames['permissions'])->insert(['id' => 211, 'name' => 'member:config:query']);
        DB::table($tableNames['permissions'])->insert(['id' => 212, 'name' => 'member:config:save']);

    }
}
